// Battle Arena
//
// Created by Jimomighty

// This file we specify dotext processes.

//------------------------------------------------------------------------------
// Battle Arena Text Package Starts
//------------------------------------------------------------------------------
package BattleArena_Text {

//------------------------------------------------------------------------------
// Training Actions
//------------------------------------------------------------------------------
function createText(%who) {
	// Basic Sounds [0]
	%who.text[T6_001, wav] ="ba/airshort.wav";
	%who.text[T6_002, wav] ="ba/d_failed.wav";
	%who.text[T6_003, wav] ="ba/d_userdied.wav";
	%who.text[T6_004, wav] ="ba/w_botkilled.wav";
	%who.text[T6_005, wav] ="ba/w_userwon1.wav";
	%who.text[T6_006, wav] ="ba/w_userwon2.wav";
	%who.text[T6_007, wav] ="ba/w_victory.wav";
	
	// Functions [1]
	//%who.text[BA_101, eval] ="function();";

	// Chat Functions [2]
	//%who.text[BA_201, eval] ="chatMessageTeam($player.user, $player.user, '\c3%1: %2', $player.user.name, \"Text.\");";

	// Objectives [3]
	%who.objHud[BattleArena, BA_301, 1] = "Training Mission by Jimomighty.";

	// Text [4]
	%who.text[BA_401, text] = "Training Mission by Jimomighty.";
	
	// Team Name Sounds [5]
	//%who.text[T6_501, wav] ="voices/.wav";
	
	// Player Names Sounds [6+]
	//%who.text[T6_601, wav] ="voices/.wav";
	
	// Keep some old stuff.
		// The name all enemies have in the training missions
		$EnemyName = "Enemy";
	
		//=================================================================================
		// Misc Messages
			//Mission completion/failure
			%who.miscMsg[trainingGenericwin] = "Good Job.";
			%who.miscMsg[trainingGenericLoss] = "Tribal life can be nasty, brutish, and short. Do you want to try again?";
			%who.miscMsg[trainingDeathLoss] = "You died. The Hordes use your gene plasm to make their reavers strong. Do you want to try again?";
			%who.miscMsg[trainingOverEasy] = "You have mastered the basic skills. Consider further training in bot matches or a higher difficulty level.";
			%who.miscMsg[trainingOverMed] = "You are skilled enough to enter online play with confidence.";
			%who.miscMsg[trainingOverHard] = "You have God-like skills and should have your trigger finger bronzed.";
		
		// -these are here so that they can be edited without the game script being molested
		// -also for ease of localization (if necessary)
			
			//otherMessages
			%who.miscMsg[noScoreScreen] = "The Score screen is disabled in the training missions.";
			%who.miscMsg[noCC] = "You are not yet cleared for Command Circuit use.";
			%who.miscMsg[genAttackNoSatchel] = "You can only destroy the enemy generators by using a satchel charge.  The chain reaction will not trigger otherwise.";
			%who.miscMsg[OOB] = "You have left the mission area.";
			%who.miscMsg[InBounds] = "You have returned to the mission area.";
			%who.miscMsg[OOBLoss] = "You were outside the mission area too long. Do you want to try again?";
			%who.miscMsg[LeaveGame] = "Are you sure you want to abandon this game?";
		   %who.miscMsg[noTaskListDlg] = "You have not yet been granted access to the task list dialog.";
		   %who.miscMsg[noInventoryHUD] = "You have not yet been granted access to the Inventory HUD.";
}

};
//------------------------------------------------------------------------------
// Battle Arena Text Package Ends
//------------------------------------------------------------------------------